Bug 1072065 - Review Request: python-actdiag - actdiag generates activity-diagram images from text
Summary: Review Request: python-actdiag - actdiag generates activity-diagram images fr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-03 20:10 UTC by Dridi Boukelmoune
Modified: 2014-04-27 09:09 UTC (History)
2 users (show)

Fixed In Version: python-seqdiag-0.9.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-27 09:06:21 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dridi Boukelmoune 2014-03-03 20:10:14 UTC
Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-actdiag.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-actdiag-0.5.1-1.fc19.src.rpm
Description:
actdiag and its family generate diagram images from simply text file.

Features:
- Generates beautiful diagram images from simple text format (similar to
  graphviz’s DOT format)
- Layouts diagram elements automatically
- Embeds to many documentations; Sphinx, Trac, Redmine and some wikis

- Supports many types of diagrams
  - activity diagram (with this package)
  - block diagram (with the blockdiag package)
  - sequence diagram (with the seqdiag package)
  - logical network diagram (with the nwdiag package)

Enjoy documentation with actdiag !

Fedora Account System Username: dridi

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6591933

Comment 1 Mukundan Ragavan 2014-03-04 00:26:41 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated". 6 files
     have unknown license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1072065-python-
     actdiag/licensecheck.txt

---> Looks fine.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-actdiag

---> Note not applicable.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.


---> Looks good. Partial output below - 

test_desctable_with_rest_markups (test_rst_directives.TestRstDirectives) ... /usr/lib/python3.3/site-packages/blockdiag/imagedraw/svg.py:293: ResourceWarning: unclosed file <_io.BufferedWriter name='/tmp/tmpuz1kks/actdiag-c9b683872a63a3f54afcbdd15f0e93bd3449c980.svg'>
  open(self.filename, 'wb').write(image.encode('utf-8'))
ok
test_desctable_without_description (test_rst_directives.TestRstDirectives) ... /usr/lib/python3.3/site-packages/blockdiag/imagedraw/svg.py:293: ResourceWarning: unclosed file <_io.BufferedWriter name='/tmp/tmpmqw2rl/actdiag-ca01c5a93fbf09988a94fd65a7b481fb0ddd28c9.svg'>
  open(self.filename, 'wb').write(image.encode('utf-8'))
ok
test_setup (test_rst_directives.TestRstDirectives) ... ok
test_setup_with_args (test_rst_directives.TestRstDirectives) ... ok
----------------------------------------------------------------------
Ran 32 tests in 1.225s
OK
+ popd


[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-actdiag-0.5.1-1.fc21.noarch.rpm
          python3-actdiag-0.5.1-1.fc21.noarch.rpm
          python-actdiag-0.5.1-1.fc21.src.rpm
python-actdiag.noarch: W: summary-not-capitalized C actdiag generates activity-diagram images from text
python-actdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python-actdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python-actdiag.noarch: W: spelling-error %description -l en_US blockdiag -> blockage
python-actdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal

python-actdiag.noarch: W: incoherent-version-in-changelog 0.5.1 ['0.5.1-1.fc21', '0.5.1-1']

---> Please fix.

python-actdiag.noarch: W: spurious-executable-perm /usr/share/man/man1/actdiag.1.gz

---> Please investigate.

python3-actdiag.noarch: W: summary-not-capitalized C actdiag generates activity-diagram images from text
python3-actdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python3-actdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python3-actdiag.noarch: W: spelling-error %description -l en_US blockdiag -> blockage
python3-actdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
python3-actdiag.noarch: W: spurious-executable-perm /usr/share/man/man1/actdiag-3.3.1.gz
python-actdiag.src: W: summary-not-capitalized C actdiag generates activity-diagram images from text
python-actdiag.src: W: spelling-error %description -l en_US seqdiag -> diagnose
python-actdiag.src: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python-actdiag.src: W: spelling-error %description -l en_US blockdiag -> blockage
python-actdiag.src: W: spelling-error %description -l en_US nwdiag -> diagonal
3 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-actdiag python-actdiag
python3-actdiag.noarch: W: summary-not-capitalized C actdiag generates activity-diagram images from text
python3-actdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python3-actdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python3-actdiag.noarch: W: spelling-error %description -l en_US blockdiag -> blockage
python3-actdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
python3-actdiag.noarch: W: spurious-executable-perm /usr/share/man/man1/actdiag-3.3.1.gz
python-actdiag.noarch: W: summary-not-capitalized C actdiag generates activity-diagram images from text
python-actdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python-actdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python-actdiag.noarch: W: spelling-error %description -l en_US blockdiag -> blockage
python-actdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
python-actdiag.noarch: W: incoherent-version-in-changelog 0.5.1 ['0.5.1-1.fc21', '0.5.1-1']
python-actdiag.noarch: W: spurious-executable-perm /usr/share/man/man1/actdiag.1.gz
2 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-actdiag (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-blockdiag

python-actdiag (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-blockdiag



Provides
--------
python3-actdiag:
    python3-actdiag

python-actdiag:
    python-actdiag



Source checksums
----------------
https://bitbucket.org/tk0miya/actdiag/get/0.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 929e0763eb6acc7306352ee7b3144782fd6dad366593ef03784d1e3009ed48e4
  CHECKSUM(SHA256) upstream package : 929e0763eb6acc7306352ee7b3144782fd6dad366593ef03784d1e3009ed48e4


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1072065
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Mukundan Ragavan 2014-03-04 16:29:27 UTC
Changes look fine. Package APPROVED.

Comment 4 Dridi Boukelmoune 2014-03-04 20:18:25 UTC
New Package SCM Request
=======================
Package Name: actdiag
Short Description: actdiag generates activity-diagram images from text
Owners: dridi
Branches: f19 f20
InitialCC:

Comment 5 Gwyn Ciesla 2014-03-06 13:37:17 UTC
Git done (by process-git-requests).

Comment 6 Dridi Boukelmoune 2014-03-07 14:35:43 UTC
I have mistakenly forgotten the "python-" prefix for this package (not in the rpm spec though).

New Package SCM Request
=======================
Package Name: python-actdiag
Short Description: actdiag generates activity-diagram images from text
Owners: dridi
Branches: f19 f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-03-07 15:36:53 UTC
Git done (by process-git-requests).

Comment 8 Mukundan Ragavan 2014-03-27 20:04:55 UTC
Can we close this review request now since the package is already built in rawhide? All good?

Comment 9 Fedora Update System 2014-04-17 09:36:11 UTC
python-seqdiag-0.9.0-2.fc19,python-nwdiag-1.0.0-2.fc19,python-actdiag-0.5.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-seqdiag-0.9.0-2.fc19,python-nwdiag-1.0.0-2.fc19,python-actdiag-0.5.1-2.fc19

Comment 10 Fedora Update System 2014-04-17 09:36:27 UTC
python-seqdiag-0.9.0-2.fc20,python-nwdiag-1.0.0-2.fc20,python-actdiag-0.5.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-seqdiag-0.9.0-2.fc20,python-nwdiag-1.0.0-2.fc20,python-actdiag-0.5.1-2.fc20

Comment 11 Fedora Update System 2014-04-18 15:33:54 UTC
python-seqdiag-0.9.0-2.fc20, python-nwdiag-1.0.0-2.fc20, python-actdiag-0.5.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-04-27 09:06:21 UTC
python-seqdiag-0.9.0-2.fc20, python-nwdiag-1.0.0-2.fc20, python-actdiag-0.5.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-04-27 09:09:45 UTC
python-seqdiag-0.9.0-2.fc19, python-nwdiag-1.0.0-2.fc19, python-actdiag-0.5.1-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.